Skip to main content

Update Deposit Summary: Yardi REST

Beta
PUThttps://api.propexo.com/v1/deposit-summaries/yardi_rest/:deposit_summary_id

Update Deposit Summary: Yardi REST. This endpoint will initiate a deposit summary as paid if the total amount of the invoice is passed in. Partial payments will be accepted, but the invoice will not be marked as paid until the full amount is paid. If the deposit summary has already been paid, Yardi will throw an error.

InterfaceMethod
Resident Transactions/ItfResidentTransactions/ImportChecks

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

deposit_summary_id stringrequired

The Propexo unique identifier for the deposit summary

Request​

This endpoint expects an object.

    total_amount_in_centsintegerrequired

    The total amount in cents paid out to the resident for the deposit refund. Note: Partial payments will be accepted, but the invoice will not be marked as paid until the full amount is paid.

    Possible values: > 0

    x_bank_idstringrequired

    The external ID of the bank from the integration vendor. You'll likely want to work with your customer to find the appropriate value here.

    Possible values: non-empty

    payment_methodstringrequired

    The payment method used for the refund payout. Note: To use EFT, the associated bank account must be configured for electronic payments.

    Show 2 enum values
    CHECKEFT
    check_numberstringrequired

    The check number. Note: Must be unique per pay out.

    Possible values: non-empty

    notesstringrequired

    The notes for the check.

    Possible values: non-empty

    post_monthstringrequired

    The post month of the check.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    check_run_datestringrequired

    The date the check was run.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    financial_account_idstring

    The Propexo unique identifier for the financial account

    check_cleared_datestring

    The date the check was cleared.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    is_not_reconciledboolean

    Whether the check is not reconciled

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    deposit_summary_idstringrequired

    The Propexo unique identifier for the deposit summary

    total_amount_in_centsintegerrequired

    The total amount in cents paid out to the resident for the deposit refund. Note: Partial payments will be accepted, but the invoice will not be marked as paid until the full amount is paid.

    Possible values: > 0

    x_bank_idstringrequired

    The external ID of the bank from the integration vendor. You'll likely want to work with your customer to find the appropriate value here.

    Possible values: non-empty

    payment_methodstringrequired

    The payment method used for the refund payout. Note: To use EFT, the associated bank account must be configured for electronic payments.

    Show 2 enum values
    CHECKEFT
    check_numberstringrequired

    The check number. Note: Must be unique per pay out.

    Possible values: non-empty

    notesstringrequired

    The notes for the check.

    Possible values: non-empty

    post_monthstringrequired

    The post month of the check.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    check_run_datestringrequired

    The date the check was run.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    financial_account_idstring

    The Propexo unique identifier for the financial account

    check_cleared_datestring

    The date the check was cleared.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    is_not_reconciledboolean

    Whether the check is not reconciled

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/deposit-summaries/yardi_rest/:deposit_summary_id
curl -X PUT https://api.propexo.com/v1/deposit-summaries/yardi_rest/:deposit_summary_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"total_amount_in_cents": 0,
"x_bank_id": "string",
"payment_method": "CHECK",
"check_number": "string",
"notes": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"check_run_date": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"deposit_summary_id": "string",
"total_amount_in_cents": 0,
"x_bank_id": "string",
"payment_method": "CHECK",
"check_number": "string",
"notes": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"check_run_date": "2024-07-29T15:51:28.071Z",
"financial_account_id": "string",
"check_cleared_date": "2024-07-29T15:51:28.071Z",
"is_not_reconciled": true
}
}